Module java.desktop
Package javax.swing.text

## Class LayeredHighlighter.LayerPainter

- java.lang.Object
- - javax.swing.text.LayeredHighlighter.LayerPainter

All Implemented Interfaces:
  `Highlighter.HighlightPainter`

Direct Known Subclasses:
  `DefaultHighlighter.DefaultHighlightPainter`

Enclosing class:
  LayeredHighlighter

    public abstract static class LayeredHighlighter.LayerPainter
    extends Object
    implements Highlighter.HighlightPainter

Layered highlight renderer.

### Constructor Summary

Constructors
`LayerPainter()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract Shape` `paintLayer​(Graphics g, int p0, int p1, Shape viewBounds, JTextComponent editor, View view)`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.swing.text.Highlighter.HighlightPainter

`paint`

### Constructor Detail

#### LayerPainter

    public LayerPainter()

### Method Detail

#### paintLayer

    public abstract Shape paintLayer​(Graphics g,
                                     int p0,
                                     int p1,
                                     Shape viewBounds,
                                     JTextComponent editor,
                                     View view)

Parameters:
  `g` - Graphics used to draw
  `p0` - starting offset of view
  `p1` - ending offset of view
  `viewBounds` - Bounds of View
  `editor` - JTextComponent
  `view` - View instance being rendered
Returns:
  a shape